#!/usr/bin/env python
from pymodbus.client.serial import ModbusSerialClient

# endpoint for wiegand controller
endpoint = '/dev/ttyS1'
slave_addr = 0x31  # 0x31 = 49

mi = ModbusSerialClient(method="rtu", port=endpoint, baudrate=19200, bytesize=8, stopbits=1, parity='N')
with mi as modbus:
    reply = modbus.read_coils(0, 6, unit=slave_addr)
    print(("Rele 1 state: {}".format(reply.getBit(0))))
    print(("Rele 2 state: {}\n".format(reply.getBit(1))))

    print(("IN 1 state: {}".format(reply.getBit(2))))
    print(("IN 2 state: {}".format(reply.getBit(3))))
    print(("IN 3 state: {}".format(reply.getBit(4))))
    print(("IN 4 state: {}".format(reply.getBit(5))))
